//#define XERR
#include "incidence.ih"

void Incidence::vary(ostream &out)
{
    out << "  Incidence:\n";

    for (Params &params: d_params)
    {
        if (params.d_prob >= Globals::TOLERANCE)    // if this incidence spec.
        {                                           // is used, then vary the
            params.vary(out); // 1.cc               // distribution's value
            out.put('\n');
        }
    }

    cptTumorRisk();
}
